Skip to main content
GET
/
public
/
v1
/
knowledge-base
/
documents
/
{documentId}
Get document
curl --request GET \
  --url https://api.callin.io/api/public/v1/knowledge-base/documents/{documentId} \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "documentId": "<string>",
    "type": "url",
    "name": "<string>",
    "details": {
      "url": "<string>"
    },
    "metadata": {
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "userId": "<string>",
        "userEmail": "<string>"
      }
    }
  }
}

Authorizations

x-api-key
string
header
required

Send your Callin API key in the x-api-key header.

Path Parameters

documentId
string
required

The ID of the document

Response

Document details

One knowledge document; shape of data depends on type (url vs file).

success
boolean
Example:

true

data
object

Document details; shape depends on type (url vs file).